blackbox

## Class Output

- java.lang.Object
- - agents.Agent
  - - blackbox.BlackBoxAgent
    - - blackbox.Output

All Implemented Interfaces:
  java.io.Serializable

    public class Output
    extends BlackBoxAgent
    implements java.io.Serializable

An output from the simulator.

See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`Output()` Instantiates a new output.

### Method Summary

All Methods Instance Methods Concrete Methods
`void` `computeAMessage(Message m)` Compute A message.
`void` `fastPlay()` Fast play.
`BBFunction` `getFunc()` Gets the func.
`Input` `getInput()` Gets the input.
`int` `getPort()` Gets the port.
`double` `getValue()` Gets the value.
`void` `initSocket()` Inits the socket.
`void` `play()` Play one agent step.
`void` `setFunc(BBFunction func)` Sets the func.
`void` `setInput(Input input)` Sets the input.
`void` `setPort(int port)` Sets the port.
`void` `setValue(double value)` Sets the value.

### Methods inherited from class blackbox.BlackBoxAgent

`addConstraint, computeCriticity, getConstraints, getCriticity, getTargets, getWorstConstraint, readMessage, setConstraints, setCriticity, setTargets`

### Methods inherited from class agents.Agent

`die, getID, getMessages, getMessagesBin, getName, isDying, sendExpressMessage, sendMessage, sendMessage, setDying, setID, setMessages, setMessagesBin, setName`

### Methods inherited from class java.lang.Object

`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### Output

    public Output()

Instantiates a new output.

### Method Detail

#### play

    public void play()

Description copied from class: `Agent`
Play one agent step.

Overrides:
  `play` in class `Agent`

#### fastPlay

    public void fastPlay()

Description copied from class: `BlackBoxAgent`
Fast play.

Specified by:
  `fastPlay` in class `BlackBoxAgent`

#### initSocket

    public void initSocket()

Inits the socket.

#### computeAMessage

    public void computeAMessage(Message m)

Description copied from class: `Agent`
Compute A message.

Specified by:
  `computeAMessage` in class `BlackBoxAgent`
Parameters:
  `m` - the m

#### getFunc

    public BBFunction getFunc()

Gets the func.

Returns:
  the func

#### setFunc

    public void setFunc(BBFunction func)

Sets the func.

Parameters:
  `func` - the new func

#### getValue

    public double getValue()

Description copied from class: `BlackBoxAgent`
Gets the value.

Specified by:
  `getValue` in class `BlackBoxAgent`
Returns:
  the value

#### setValue

    public void setValue(double value)

Sets the value.

Parameters:
  `value` - the new value

#### getInput

    public Input getInput()

Gets the input.

Returns:
  the input

#### setInput

    public void setInput(Input input)

Sets the input.

Parameters:
  `input` - the new input

#### getPort

    public int getPort()

Gets the port.

Returns:
  the port

#### setPort

    public void setPort(int port)

Sets the port.

Parameters:
  `port` - the new port